Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class CommunityProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.CommunityProperty

public class CommunityProperty
extends ObjectProperty

An enumerated type used to describe the properties of Communities in the portal. Communities support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static CommunityProperty` | `CommunityTemplateID` The ID of this Community's template.
`static CommunityProperty` | `FooterID` The ID of the footer.
`static CommunityProperty` | `HeaderID` The ID of the header.
`static CommunityProperty` | `MandatoryTabOrder` The mandatory tab order.
`static CommunityProperty` | `OwnerInfo` The user ID for the Community owner.
`static CommunityProperty` | `SiteMapRootID` The ID of the site map root.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OwnerInfo

    public static final CommunityProperty OwnerInfo

  The user ID for the Community owner.

### MandatoryTabOrder

    public static final CommunityProperty MandatoryTabOrder

  The mandatory tab order.

### CommunityTemplateID

    public static final CommunityProperty CommunityTemplateID

  The ID of this Community's template.

### SiteMapRootID

    public static final CommunityProperty SiteMapRootID

  The ID of the site map root.

### HeaderID

    public static final CommunityProperty HeaderID

  The ID of the header.

### FooterID

    public static final CommunityProperty FooterID

  The ID of the footer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.